For the complete documentation index, see llms.txt. This page is also available as Markdown.

Configuration

Netography AWS Custom Trust Policy

get

Information relating to configuring AWS Role based authentication. Provides Netography's Account Id, sts:ExternalId and an example usage in a custom trust policy. Role based AWS authentication can be used in Flow Sources and Context Integrations.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/api/v1/integrations/aws/role
GET /api/v1/integrations/aws/role HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "netography_aws_acountid": "text",
    "externalid": "text",
    "aws_trust_policy_example": "text"
  }
}

Last updated